------- автообновление списка источников ------------------
if TVSources_var.timerStartID then 	
	m_simpleTV.Timer.DeleteTimer(TVSources_var.timerStartID)
end

-- обновление разрешено ------- разрешено именно сегодня ---------------------------- проверяем не обновлялись ли сегодня -----------------------------------
if TVSources_var.AutoBuild and (TVSources_var.AutoBuildDay[os.date('%w')+1] == 1) and (os.date('%d.%m.%Y') ~= os.date('%d.%m.%Y', TVSources_var.LastStart)) then
	local flg_file 
	flg_file = io.open (m_simpleTV.MainScriptDir .. 'ch_base_upd.flg',"w+") 
    if flg_file ~= nil then
		flg_file:write()
		flg_file:close()
		tvs_core.tvs_debug('Autoupdate. Creating the autoupdate flag... ok.')
	else
		tvs_core.tvs_debug('Autoupdate. Creating the autoupdate flag... error.')
	end
end

------------- проверяем флаг автообновления ---------------
if TVSources_var.AutoBuild and (tvs_core.tvs_fcheck(m_simpleTV.MainScriptDir .. 'ch_base_upd.flg','yes') == 'ok') then
	os.remove(m_simpleTV.MainScriptDir .. 'ch_base_upd.flg')
	tvs_core.tvs_debug('Autoupdate. Detected the autoupdate flag. Start autoupdate...')
	tvs_core.tvs_BuildList(nil,nil)
end


if TVSources_var.tmp.source ~= nil then 
	local id_source,content 
	for id_source,content in pairs(TVSources_var.tmp.source) do
-------------это внешний источник---------------------------------------------стоит отметка обновления при старте--------------------------день недели обновления--------------------------------------------------сегодня еще не обновлялись-------------------------------------------------------
		if	TVSources_var.tmp.source[id_source].TypeSource == 1 and TVSources_var.tmp.source[id_source].AutoBuild == 1 and (TVSources_var.tmp.source[id_source].AutoBuildDay[os.date('%w')+1] == 1) and (os.date('%d.%m.%Y') ~= os.date('%d.%m.%Y', TVSources_var.tmp.source[id_source].LastStart)) then
			tvs_core.tvs_debug('Autoupdate ExtSource: ' .. TVSources_var.tmp.source[id_source].name .. '. Start process...')
			tvs_core.UpdateSource(id_source)		
		end
	end
else 
	TVSources_var.tmp.source = {}
end


 	
 	
 	
 	
 	
